# std::swap(std::pair)

From cppreference.com
< cpp‎ | utility‎ | pair

Defined in header `<utility>` |  |
template< class T1, class T2 > void swap( pair<T1,T2>& x, pair<T1,T2>& y ) noexcept(/* see below */); |  | (since C++11) (until C++20)
template< class T1, class T2 > constexpr void swap( pair<T1,T2>& x, pair<T1,T2>& y ) noexcept(/* see below */); |  | (since C++20)

Swaps the contents of `x` and `y`. Equivalent to x.swap(y).

This function does not participate in overload resolution unless std::is_swappable_v<first_type> && std::is_swappable_v<second_type> is true. | (since C++17)

### Parameters

x, y | - | pairs whose contents to swap

### Return value

(none)

### Exceptions

`noexcept` specification:
noexcept(noexcept(x.swap(y)))

### See also

swap | swaps the values of two objects (function template)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/utility/pair/swap2&oldid=107575"